package net.rutles.mymeasure;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class Scale extends View {
	private float m;
	private float size;
	private int margin;
	private int width;
	private Paint paint;
	
	public Scale(Context context) {
		super(context);
		// TODO Auto-generated constructor stub
		setBackgroundColor(Color.WHITE);
		m = getResources().getDimension(R.dimen.mm);
		size = getResources().getDimension(R.dimen.size);
		margin = 20;
		paint = new Paint();
		paint.setColor(Color.BLACK);
		paint.setTextSize(size);
	}

	@Override 
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) { 
		int height = MeasureSpec.getSize(heightMeasureSpec);
		if(height >= 60) height = 60;
		setMeasuredDimension(
				MeasureSpec.getSize(widthMeasureSpec), 
				height
		); 
	} 

	protected void onSizeChanged (int w, int h, int oldw, int oldh){
		width = w;
	}
	

	public void onDraw(Canvas canvas){
		float x;
		super.onDraw(canvas);
		//canvas.drawLine(0, 0, 65536, 65536, paint);
		for(int i = 0;(x = i * m / 1000 + margin) < width - margin; i++)
			canvas.drawLine(x, 0, x, 10, paint);
		for(int i = 0;(x = i * m / 100 + margin) < width - margin; i++){
			canvas.drawLine(x, 0, x, 20, paint);
			canvas.drawText(Integer.toString(i), x - (size / 2), 20 + size, paint);
		}
	}
}
